#include <krabwidget.h>
#include <kapp.h>

#define ktr klocale->translate

void KrabWidget::initLayout(void) {
	KTabListBox_todo = new KTabListBox( this, "KTabListBox_todo" );
	QFrame_controll = new QFrame ( this, "QFrame_controll");
	QGroupBox_encoder = new QGroupBox ( QFrame_controll, "QGroupBox_encoder");
	QComboBox_encoder = new QComboBox ( QGroupBox_encoder, "");
	QGroupBox_cdda = new QGroupBox ( QFrame_controll, "QGroupBox_cdda");
	QComboBox_cdda = new QComboBox ( QGroupBox_cdda, "QComboBox_cdda" );
	QCheckBox_cdda_stereo = new QCheckBox ( QGroupBox_cdda, "QCheckBox_cdda_stereo");
	QCheckBox_cdda_16bit = new QCheckBox ( QGroupBox_cdda, "QCheckBox_cdda_16bit");
	QCheckBox_cdda_jitter = new QCheckBox ( QGroupBox_cdda, "QCheckBox_cdda_jitter");
	QComboBox_device = new QComboBox ( QGroupBox_cdda, "QComboBox_device");
 	QGroupBox_options = new QGroupBox ( QFrame_controll, "QGroupBox_8hz");

	QGroupBox_nice = new QGroupBox ( QFrame_controll, "QGroupBox_nice");
	QLabel_smp = new QLabel( QGroupBox_nice, "" );
	QLabel_nice = new QLabel( QGroupBox_nice, "" );
	QGroupBox_cache = new QGroupBox ( QFrame_controll, "QGroupBox1");
	QGroupBox_pref = new QGroupBox ( QFrame_controll, "QGroupBox2");
	QPushButton_outputpath = new QPushButton ( QGroupBox_cache, "QPushButton_outputpath" );
	QPushButton_names = new QPushButton ( QGroupBox_cache, "QPushButton_names" );

 	QPushButton_cd = new QPushButton ( QGroupBox_cache , "");
 	QPushButton_doit = new QPushButton ( QGroupBox_cache ,"");
	KSlider_nice = new KSlider ( 0 , 19, 1, 19, KSlider::Horizontal,  QGroupBox_nice, "");
	KSlider_smp  = new KSlider ( 1 , 6, 1, 1, KSlider::Horizontal,  QGroupBox_nice, "");
	QCheckBox_mp3_header = new QCheckBox ( QGroupBox_nice, "QCheckBox_mp3_header");

	this->setCaption( "" );
	this->setGeometry( 536, 480, 677, 432 );
	this->setMinimumSize( 0, 0 );
	this->setMaximumSize( 32767, 32767 );
	this->setMouseTracking( FALSE);
	this->setSizeIncrement( 0, 0 );

	KTabListBox_todo->setCaption( "" );
	KTabListBox_todo->setGeometry( 4, 4, 365, 421 );
	KTabListBox_todo->setMinimumSize( 0, 0 );
	KTabListBox_todo->setMaximumSize( 32767, 32767 );
	KTabListBox_todo->setNumCols( 9 );
	KTabListBox_todo->setColumn( 0, "", 40, KTabListBox::PixmapColumn );
	KTabListBox_todo->setColumn( 1, ktr( "Nr." ), 25 );
	KTabListBox_todo->setColumn( 2, ktr( "Track" ), 38 );
	KTabListBox_todo->setColumn( 3, ktr( "Input" ), 60 );
	KTabListBox_todo->setColumn( 4, ktr( "Size" ), 40 );
	KTabListBox_todo->setColumn( 5, ktr( "Interpret" ), 100 );
	KTabListBox_todo->setColumn( 6, ktr( "Album" ), 100 );
	KTabListBox_todo->setColumn( 7, ktr( "Title" ), 150 );
	KTabListBox_todo->setColumn( 8, ktr( "Output filename" ), 200 );
	KTabListBox_todo->setSizeIncrement( 0, 0 );
	KTabListBox_todo->setCurrentItem( -1 );
	KTabListBox_todo->setTopItem( 0 );

	QFrame_controll->setCaption( "" );
	QFrame_controll->setGeometry( 376, 4, 297, 421 );
	QFrame_controll->setMinimumSize( 297, 421 );
	QFrame_controll->setMaximumSize( 297, 421 );
	QFrame_controll->setMouseTracking( FALSE);
	QFrame_controll->setSizeIncrement( 0, 0 );
	QFrame_controll->setLineWidth( 1 );
	QFrame_controll->setMidLineWidth( 0 );
	QFrame_controll->setFrameStyle( QFrame::Panel | QFrame::Raised );

	QGroupBox_encoder->setCaption( "" );
	QGroupBox_encoder->setGeometry( 8, 8, 129, 57 );
	QGroupBox_encoder->setMinimumSize( 0, 0 );
	QGroupBox_encoder->setMaximumSize( 32767, 32767 );
	QGroupBox_encoder->setMouseTracking( FALSE);
	QGroupBox_encoder->setSizeIncrement( 0, 0 );
	QGroupBox_encoder->setLineWidth( 1 );
	QGroupBox_encoder->setMidLineWidth( 0 );
	QGroupBox_encoder->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_encoder->setTitle( ktr ( "Format" ) );
	QGroupBox_encoder->setAlignment( AlignLeft );

	QComboBox_encoder->setCaption( "" );
	QComboBox_encoder->setGeometry( 8, 20, 113, 29 );
	QComboBox_encoder->setMinimumSize( 0, 0 );
	QComboBox_encoder->setMaximumSize( 32767, 32767 );
	QComboBox_encoder->setMouseTracking( FALSE);
	QComboBox_encoder->setSizeIncrement( 0, 0 );
	QComboBox_encoder->setAutoResize( FALSE );

	QGroupBox_cdda->setCaption( "" );
	QGroupBox_cdda->setGeometry( 144, 8, 145, 150 );
	QGroupBox_cdda->setMinimumSize( 0, 0 );
	QGroupBox_cdda->setMaximumSize( 32767, 32767 );
	QGroupBox_cdda->setMouseTracking( FALSE);
	QGroupBox_cdda->setSizeIncrement( 0, 0 );
	QGroupBox_cdda->setLineWidth( 1 );
	QGroupBox_cdda->setMidLineWidth( 0 );
	QGroupBox_cdda->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_cdda->setTitle( ktr ("Grab Options" ));
	QGroupBox_cdda->setAlignment( AlignLeft );

	QComboBox_cdda->setCaption( "" );
	QComboBox_cdda->setGeometry( 8, 16, 129, 29 );
	QComboBox_cdda->setMinimumSize( 0, 0 );
	QComboBox_cdda->setMaximumSize( 32767, 32767 );
	QComboBox_cdda->setMouseTracking( FALSE);
	QComboBox_cdda->setSizeIncrement( 0, 0 );
	QComboBox_cdda->setSizeLimit( 10 );
	QComboBox_cdda->setMaxCount( 2147483647 );
	QComboBox_cdda->setAutoResize( FALSE );
	QComboBox_cdda->setInsertionPolicy( QComboBox::AtBottom );
	QComboBox_cdda->insertItem( "900" );
	QComboBox_cdda->insertItem( "1575" );
	QComboBox_cdda->insertItem( "3150" );
	QComboBox_cdda->insertItem( "3675" );
	QComboBox_cdda->insertItem( "7350" );
	QComboBox_cdda->insertItem( "11025" );
	QComboBox_cdda->insertItem( "14700" );
	QComboBox_cdda->insertItem( "22050" );
	QComboBox_cdda->insertItem( "44100" );

	QCheckBox_cdda_stereo->setCaption( "" );
	QCheckBox_cdda_stereo->setGeometry( 10, 67, 61, 29 );
	QCheckBox_cdda_stereo->setMinimumSize( 0, 0 );
	QCheckBox_cdda_stereo->setMaximumSize( 32767, 32767 );
	QCheckBox_cdda_stereo->setMouseTracking( FALSE);
	QCheckBox_cdda_stereo->setSizeIncrement( 0, 0 );
	QCheckBox_cdda_stereo->setText( "Stereo" );
	QCheckBox_cdda_stereo->setAutoResize( FALSE );
	QCheckBox_cdda_stereo->setAutoRepeat( FALSE );

	QCheckBox_cdda_16bit->setCaption( "" );
	QCheckBox_cdda_16bit->setGeometry( 10, 46, 61, 29 );
	QCheckBox_cdda_16bit->setMinimumSize( 0, 0 );
	QCheckBox_cdda_16bit->setMaximumSize( 32767, 32767 );
	QCheckBox_cdda_16bit->setMouseTracking( FALSE);
	QCheckBox_cdda_16bit->setSizeIncrement( 0, 0 );
	QCheckBox_cdda_16bit->setText( ktr ( "16bit" ) );
	QCheckBox_cdda_16bit->setAutoResize( FALSE );
	QCheckBox_cdda_16bit->setAutoRepeat( FALSE );

	QCheckBox_cdda_jitter->setCaption( "" );
	QCheckBox_cdda_jitter->setGeometry( 10, 88, 100, 29 );
	QCheckBox_cdda_jitter->setMinimumSize( 0, 0 );
	QCheckBox_cdda_jitter->setMaximumSize( 32767, 32767 );
	QCheckBox_cdda_jitter->setMouseTracking( FALSE);
	QCheckBox_cdda_jitter->setSizeIncrement( 0, 0 );
	QCheckBox_cdda_jitter->setText( ktr ( "Jitter Filter" ) );
	QCheckBox_cdda_jitter->setAutoResize( FALSE );
	QCheckBox_cdda_jitter->setAutoRepeat( FALSE );

	QComboBox_device->setCaption( "" );
	QComboBox_device->setGeometry( 8, 114, 129, 29 );
	QComboBox_device->setMinimumSize( 0, 0 );
	QComboBox_device->setMaximumSize( 32767, 32767 );
	QComboBox_device->setMouseTracking( FALSE);
	QComboBox_device->setSizeIncrement( 0, 0 );
	QComboBox_device->setSizeLimit( 10 );
	QComboBox_device->setMaxCount( 2147483647 );
	QComboBox_device->setAutoResize( FALSE );
	QComboBox_device->setInsertionPolicy( QComboBox::AtBottom );

	QGroupBox_options->setCaption( "" );
	QGroupBox_options->setGeometry( 8, 72, 129, 190 );
	QGroupBox_options->setMinimumSize( 0, 0 );
	QGroupBox_options->setMaximumSize( 32767, 32767 );
	QGroupBox_options->setMouseTracking( FALSE);
	QGroupBox_options->setSizeIncrement( 0, 0 );
	QGroupBox_options->setLineWidth( 1 );
	QGroupBox_options->setMidLineWidth( 0 );
	QGroupBox_options->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_options->setTitle( ktr ( "Options" ) );
	QGroupBox_options->setAlignment( AlignLeft );

	QGroupBox_nice->setCaption( "" );
	QGroupBox_nice->setGeometry( 8, 270, 129, 143 );
	QGroupBox_nice->setMinimumSize( 0, 0 );
	QGroupBox_nice->setMaximumSize( 32767, 32767 );
	QGroupBox_nice->setMouseTracking( FALSE);
	QGroupBox_nice->setSizeIncrement( 0, 0 );
	QGroupBox_nice->setLineWidth( 1 );
	QGroupBox_nice->setMidLineWidth( 0 );
	QGroupBox_nice->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_nice->setAlignment( AlignLeft );

	KSlider_nice->setCaption( "" );
	KSlider_nice->setGeometry( 8, 10, 113, 29 );

	KSlider_smp->setCaption( "" );
	KSlider_smp->setGeometry( 8, 68, 113, 29 );

	QLabel_nice->setGeometry( 8, 34, 113, 20 );
	QLabel_nice->setText( ktr ( "-   CPU  Priority   +") );
        QLabel_nice->setAlignment( 289 );
        QLabel_nice->setMargin( -1 );

	QLabel_smp->setGeometry( 8, 91, 116, 20 );
	QLabel_smp->setText( ktr ( "1  Nr. of encoders  6") );
        QLabel_smp->setAlignment( 289 );
        QLabel_smp->setMargin( -1 );
 
	QCheckBox_mp3_header->setCaption( "" );
	QCheckBox_mp3_header->setGeometry( 10, 118, 113, 20 );
	QCheckBox_mp3_header->setMinimumSize( 0, 0 );
	QCheckBox_mp3_header->setMaximumSize( 32767, 32767 );
	QCheckBox_mp3_header->setMouseTracking( FALSE);
	QCheckBox_mp3_header->setSizeIncrement( 0, 0 );
	QCheckBox_mp3_header->setText( ktr ( "create mp3 tag" ) );
	QCheckBox_mp3_header->setAutoResize( FALSE );
	QCheckBox_mp3_header->setAutoRepeat( FALSE );

	QGroupBox_cache->setCaption( "" );
	QGroupBox_cache->setGeometry( 144, 252, 145, 161 );
	QGroupBox_cache->setMinimumSize( 0, 0 );
	QGroupBox_cache->setMaximumSize( 32767, 32767 );
	QGroupBox_cache->setMouseTracking( FALSE);
	QGroupBox_cache->setSizeIncrement( 0, 0 );
	QGroupBox_cache->setLineWidth( 1 );
	QGroupBox_cache->setMidLineWidth( 0 );
	QGroupBox_cache->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_cache->setAlignment( AlignLeft );
	
	QPushButton_cd->setCaption( "" );
	QPushButton_cd->setGeometry( 8, 8, 129, 33 );
	QPushButton_cd->setMinimumSize( 0, 0 );
	QPushButton_cd->setMaximumSize( 32767, 32767 );
	QPushButton_cd->setMouseTracking( FALSE);
	QPushButton_cd->setSizeIncrement( 0, 0 );
	QPushButton_cd->setText( "CD" );
	QPushButton_cd->setAutoResize( FALSE );
	QPushButton_cd->setAutoRepeat( FALSE );
	QPushButton_cd->setToggleButton( FALSE );
	QPushButton_cd->setAutoDefault( FALSE );
	QPushButton_cd->setPixmap( *pix_push_1 );

	QPushButton_outputpath->setCaption( "" );
	QPushButton_outputpath->setGeometry( 8, 46, 129, 33 );
	QPushButton_outputpath->setMinimumSize( 0, 0 );
	QPushButton_outputpath->setMaximumSize( 32767, 32767 );
	QPushButton_outputpath->setMouseTracking( FALSE);
	QPushButton_outputpath->setSizeIncrement( 0, 0 );
	QPushButton_outputpath->setText( ktr ( "Output Path" ) );
	QPushButton_outputpath->setAutoResize( FALSE );
	QPushButton_outputpath->setAutoRepeat( FALSE );
	QPushButton_outputpath->setToggleButton( FALSE );
	QPushButton_outputpath->setAutoDefault( FALSE );
	QPushButton_outputpath->setPixmap( *pix_push_2 );

	QPushButton_names->setCaption( "" );
	QPushButton_names->setGeometry( 8, 84, 129, 33 );
	QPushButton_names->setMinimumSize( 0, 0 );
	QPushButton_names->setMaximumSize( 32767, 32767 );
	QPushButton_names->setMouseTracking( FALSE);
	QPushButton_names->setSizeIncrement( 0, 0 );
	QPushButton_names->setText( ktr ( "Titles" ));
	QPushButton_names->setAutoResize( FALSE );
	QPushButton_names->setAutoRepeat( FALSE );
	QPushButton_names->setToggleButton( FALSE );
	QPushButton_names->setAutoDefault( FALSE );
	QPushButton_names->setPixmap( *pix_push_3 );

	QPushButton_doit->setCaption( "" );
	QPushButton_doit->setGeometry( 8, 122, 129, 33 );
	QPushButton_doit->setMinimumSize( 0, 0 );
	QPushButton_doit->setMaximumSize( 32767, 32767 );
	QPushButton_doit->setMouseTracking( FALSE);
	QPushButton_doit->setSizeIncrement( 0, 0 );
	QPushButton_doit->setText( ktr( "DO IT" ) );
	QPushButton_doit->setAutoResize( FALSE );
	QPushButton_doit->setAutoRepeat( FALSE );
	QPushButton_doit->setToggleButton( FALSE );
	QPushButton_doit->setAutoDefault( FALSE );
	QPushButton_doit->setPixmap( *pix_push_4 );

	QGroupBox_pref->setCaption( "" );
	QGroupBox_pref->setGeometry( 144, 165, 145, 80 );
	QGroupBox_pref->setMinimumSize( 0, 0 );
	QGroupBox_pref->setMaximumSize( 32767, 32767 );
	QGroupBox_pref->setMouseTracking( FALSE);
	QGroupBox_pref->setSizeIncrement( 0, 0 );
	QGroupBox_pref->setLineWidth( 1 );
	QGroupBox_pref->setMidLineWidth( 0 );
	QGroupBox_pref->setFrameStyle( QFrame::Box | QFrame::Sunken );
	QGroupBox_pref->setAlignment( AlignLeft );
};

void KrabWidget::initLayout_8hz()
{
	QString temp;
	char convert[4];
	unsigned int i;

	QComboBox_8hz_br = new QComboBox ( QGroupBox_options, "QComboBox_8hz_br" );
	QCheckBox_8hz_copyright = new QCheckBox ( QGroupBox_options, "QCheckBox_8hz_copyright");
	QCheckBox_8hz_original = new QCheckBox ( QGroupBox_options, "QCheckBox_8hz_original");

	QComboBox_8hz_br->setCaption( "" );
	QComboBox_8hz_br->setGeometry( 8, 20, 113, 29 );
	QComboBox_8hz_br->setMinimumSize( 0, 0 );
	QComboBox_8hz_br->setMaximumSize( 32767, 32767 );
	QComboBox_8hz_br->setMouseTracking( FALSE);
	QComboBox_8hz_br->setSizeIncrement( 0, 0 );
	QComboBox_8hz_br->setSizeLimit( 10 );
	QComboBox_8hz_br->setMaxCount( 2147483647 );
	QComboBox_8hz_br->setAutoResize( FALSE );
	QComboBox_8hz_br->setInsertionPolicy( QComboBox::AtBottom );
	for (i=0; i<bitrate_8hz_max; i++)
	{
		ostrstream( convert, 4 ) << bitrate_8hz[i] <<ends;
		temp = "";
		if ( bitrate_8hz[i] <100 )
			temp = " ";
		temp += convert;
		temp += "000 Bps";
		QComboBox_8hz_br->insertItem( temp );
	};
	QComboBox_8hz_br->show();

	QCheckBox_8hz_copyright->setCaption( "" );
	QCheckBox_8hz_copyright->setGeometry( 8, 50, 101, 29 );
	QCheckBox_8hz_copyright->setMinimumSize( 0, 0 );
	QCheckBox_8hz_copyright->setMaximumSize( 32767, 32767 );
	QCheckBox_8hz_copyright->setMouseTracking( FALSE);
	QCheckBox_8hz_copyright->setSizeIncrement( 0, 0 );
	QCheckBox_8hz_copyright->setText( ktr ( "copyright" ) );
	QCheckBox_8hz_copyright->setAutoResize( FALSE );
	QCheckBox_8hz_copyright->setAutoRepeat( FALSE );
	QCheckBox_8hz_copyright->show();

	QCheckBox_8hz_original->setCaption( "" );
	QCheckBox_8hz_original->setGeometry( 8, 75, 101, 29 );
	QCheckBox_8hz_original->setMinimumSize( 0, 0 );
	QCheckBox_8hz_original->setMaximumSize( 32767, 32767 );
	QCheckBox_8hz_original->setMouseTracking( FALSE);
	QCheckBox_8hz_original->setSizeIncrement( 0, 0 );
	QCheckBox_8hz_original->setText( ktr ( "original" ) );
	QCheckBox_8hz_original->setAutoResize( FALSE );
	QCheckBox_8hz_original->setAutoRepeat( FALSE );
	QCheckBox_8hz_original->show();
};
void KrabWidget::initLayout_blade()
{
	QString temp;
	char convert[4];
	unsigned int i;

	QComboBox_blade_br = new QComboBox ( QGroupBox_options, "QComboBox_blade_br" );
	QCheckBox_blade_copyright = new QCheckBox ( QGroupBox_options, "QCheckBox_blade_copyright");
	QCheckBox_blade_private = new QCheckBox ( QGroupBox_options, "QCheckBox_blade_private");
	QCheckBox_blade_crc = new QCheckBox ( QGroupBox_options, "QCheckBox_blade_crc");

	QComboBox_blade_br->setCaption( "" );
	QComboBox_blade_br->setGeometry( 8, 20, 113, 29 );
	QComboBox_blade_br->setMinimumSize( 0, 0 );
	QComboBox_blade_br->setMaximumSize( 32767, 32767 );
	QComboBox_blade_br->setMouseTracking( FALSE);
	QComboBox_blade_br->setSizeIncrement( 0, 0 );
	QComboBox_blade_br->setSizeLimit( 10 );
	QComboBox_blade_br->setMaxCount( 2147483647 );
	QComboBox_blade_br->setAutoResize( FALSE );
	QComboBox_blade_br->setInsertionPolicy( QComboBox::AtBottom );
	for (i=0; i<bitrate_blade_max; i++)
	{
		ostrstream( convert, 4 ) << bitrate_blade[i] <<ends;
		temp = "";
		if ( bitrate_blade[i] <100 )
			temp = " ";
		temp += convert;
		temp += "000 Bps";
		QComboBox_blade_br->insertItem( temp );
	};
	QComboBox_blade_br->show();

	QCheckBox_blade_copyright->setCaption( "" );
	QCheckBox_blade_copyright->setGeometry( 8, 50, 101, 29 );
	QCheckBox_blade_copyright->setMinimumSize( 0, 0 );
	QCheckBox_blade_copyright->setMaximumSize( 32767, 32767 );
	QCheckBox_blade_copyright->setMouseTracking( FALSE);
	QCheckBox_blade_copyright->setSizeIncrement( 0, 0 );
	QCheckBox_blade_copyright->setText( ktr ( "copyright" ) );
	QCheckBox_blade_copyright->setAutoResize( FALSE );
	QCheckBox_blade_copyright->setAutoRepeat( FALSE );
	QCheckBox_blade_copyright->show();

	QCheckBox_blade_private->setCaption( "" );
	QCheckBox_blade_private->setGeometry( 8, 75, 101, 29 );
	QCheckBox_blade_private->setMinimumSize( 0, 0 );
	QCheckBox_blade_private->setMaximumSize( 32767, 32767 );
	QCheckBox_blade_private->setMouseTracking( FALSE);
	QCheckBox_blade_private->setSizeIncrement( 0, 0 );
	QCheckBox_blade_private->setText( ktr ( "private" ) );
	QCheckBox_blade_private->setAutoResize( FALSE );
	QCheckBox_blade_private->setAutoRepeat( FALSE );
	QCheckBox_blade_private->show();

	QCheckBox_blade_crc->setCaption( "" );
	QCheckBox_blade_crc->setGeometry( 8, 100, 101, 29 );
	QCheckBox_blade_crc->setMinimumSize( 0, 0 );
	QCheckBox_blade_crc->setMaximumSize( 32767, 32767 );
	QCheckBox_blade_crc->setMouseTracking( FALSE);
	QCheckBox_blade_crc->setSizeIncrement( 0, 0 );
	QCheckBox_blade_crc->setText( ktr ( "crc" ) );
	QCheckBox_blade_crc->setAutoResize( FALSE );
	QCheckBox_blade_crc->setAutoRepeat( FALSE );
	QCheckBox_blade_crc->show();
};
void KrabWidget::initLayout_wav()
{
	QCheckBox_wav_raw = new QCheckBox ( QGroupBox_options, "QCheckBox_wav_raw");

	QCheckBox_wav_raw->setCaption( "" );
	QCheckBox_wav_raw->setGeometry( 8, 20, 101, 29 );
	QCheckBox_wav_raw->setMinimumSize( 0, 0 );
	QCheckBox_wav_raw->setMaximumSize( 32767, 32767 );
	QCheckBox_wav_raw->setMouseTracking( FALSE);
	QCheckBox_wav_raw->setSizeIncrement( 0, 0 );
	QCheckBox_wav_raw->setText( ktr ( "RAW Data" ) );
	QCheckBox_wav_raw->setAutoResize( FALSE );
	QCheckBox_wav_raw->setAutoRepeat( FALSE );
	QCheckBox_wav_raw->show();
};

void KrabWidget::initLayout_l3()
{
	QString temp;
	char convert[4];
	unsigned int i;

	QComboBox_l3_br = new QComboBox ( QGroupBox_options, "QComboBox1" );
	QCheckBox_l3_hq = new QCheckBox ( QGroupBox_options, "QCheckBox_l3_hq");
	QCheckBox_l3_crc = new QCheckBox ( QGroupBox_options, "QCheckBox_l3_crc");
	QCheckBox_l3_speech = new QCheckBox ( QGroupBox_options, "QCheckBox_l3_speech");

	QComboBox_l3_br->setCaption( "" );
	QComboBox_l3_br->setGeometry( 8, 20, 113, 29 );
	QComboBox_l3_br->setMinimumSize( 0, 0 );
	QComboBox_l3_br->setMaximumSize( 32767, 32767 );
	QComboBox_l3_br->setMouseTracking( FALSE);
	QComboBox_l3_br->setSizeIncrement( 0, 0 );
	QComboBox_l3_br->setSizeLimit( 10 );
	QComboBox_l3_br->setMaxCount( 2147483647 );
	QComboBox_l3_br->setAutoResize( FALSE );
	QComboBox_l3_br->setInsertionPolicy( QComboBox::AtBottom );
	for (i=0; i<bitrate_l3_max; i++)
	{
		ostrstream( convert, 4 ) << bitrate_l3[i] <<ends;
		temp = "";
		if ( bitrate_l3[i] <100 )
			temp = " ";
		temp += convert;
		temp += "000 Bps";
		QComboBox_l3_br->insertItem( temp );
	};
	QComboBox_l3_br->show();

	QCheckBox_l3_hq->setCaption( "" );
	QCheckBox_l3_hq->setGeometry( 8, 50, 101, 29 );
	QCheckBox_l3_hq->setMinimumSize( 0, 0 );
	QCheckBox_l3_hq->setMaximumSize( 32767, 32767 );
	QCheckBox_l3_hq->setMouseTracking( FALSE);
	QCheckBox_l3_hq->setSizeIncrement( 0, 0 );
	QCheckBox_l3_hq->setText( ktr ( "High Quality" ) );
	QCheckBox_l3_hq->setAutoResize( FALSE );
	QCheckBox_l3_hq->setAutoRepeat( FALSE );
	QCheckBox_l3_hq->show();

	QCheckBox_l3_crc->setCaption( "" );
	QCheckBox_l3_crc->setGeometry( 8, 75, 101, 29 );
	QCheckBox_l3_crc->setMinimumSize( 0, 0 );
	QCheckBox_l3_crc->setMaximumSize( 32767, 32767 );
	QCheckBox_l3_crc->setMouseTracking( FALSE);
	QCheckBox_l3_crc->setSizeIncrement( 0, 0 );
	QCheckBox_l3_crc->setText( ktr ( "enable CRC" ) );
	QCheckBox_l3_crc->setAutoResize( FALSE );
	QCheckBox_l3_crc->setAutoRepeat( FALSE );
	QCheckBox_l3_crc->show();

	QCheckBox_l3_speech->setCaption( "" );
	QCheckBox_l3_speech->setGeometry( 8, 100, 101, 29 );
	QCheckBox_l3_speech->setMinimumSize( 0, 0 );
	QCheckBox_l3_speech->setMaximumSize( 32767, 32767 );
	QCheckBox_l3_speech->setMouseTracking( FALSE);
	QCheckBox_l3_speech->setSizeIncrement( 0, 0 );
	QCheckBox_l3_speech->setText( ktr ( "optimize speech" ) );
	QCheckBox_l3_speech->setAutoResize( FALSE );
	QCheckBox_l3_speech->setAutoRepeat( FALSE );
	QCheckBox_l3_speech->show();
};
void KrabWidget::initLayout_mp3()
{
	QString temp;
	char convert[4];
	unsigned int i;

	QComboBox_mp3_br = new QComboBox ( QGroupBox_options, "QComboBox_mp3_br" );
	QComboBox_mp3_ql = new QComboBox ( QGroupBox_options, "QComboBox_mp3_ql" );

	QComboBox_mp3_br->setCaption( "" );
	QComboBox_mp3_br->setGeometry( 8, 20, 113, 29 );
	QComboBox_mp3_br->setMinimumSize( 0, 0 );
	QComboBox_mp3_br->setMaximumSize( 32767, 32767 );
	QComboBox_mp3_br->setMouseTracking( FALSE);
	QComboBox_mp3_br->setSizeIncrement( 0, 0 );
	QComboBox_mp3_br->setSizeLimit( 10 );
	QComboBox_mp3_br->setMaxCount( 2147483647 );
	QComboBox_mp3_br->setAutoResize( FALSE );
	QComboBox_mp3_br->setInsertionPolicy( QComboBox::AtBottom );
	for (i=0; i<bitrate_mp3_max; i++)
	{
		ostrstream( convert, 4 ) << bitrate_mp3[i] <<ends;
		temp = "";
		if ( bitrate_mp3[i] <100 )
			temp = " ";
		temp += convert;
		temp += "000 Bps";
		QComboBox_mp3_br->insertItem( temp );
	};
	QComboBox_mp3_br->show();

	QComboBox_mp3_ql->setCaption( "" );
	QComboBox_mp3_ql->setGeometry( 8, 55, 113, 29 );
	QComboBox_mp3_ql->setMinimumSize( 0, 0 );
	QComboBox_mp3_ql->setMaximumSize( 32767, 32767 );
	QComboBox_mp3_ql->setMouseTracking( FALSE);
	QComboBox_mp3_ql->setSizeIncrement( 0, 0 );
	QComboBox_mp3_ql->setSizeLimit( 10 );
	QComboBox_mp3_ql->setMaxCount( 2147483647 );
	QComboBox_mp3_ql->setAutoResize( FALSE );
	QComboBox_mp3_ql->setInsertionPolicy( QComboBox::AtBottom );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 0" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 1" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 2" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 3" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 4" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 5" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 6" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 7" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 8" ) );
	QComboBox_mp3_ql->insertItem( ktr ( "Quality: 9" ) );
	QComboBox_mp3_ql->show();
};
void KrabWidget::initLayout_8hz_del()
{
	delete QComboBox_8hz_br;
	delete QCheckBox_8hz_copyright;
	delete QCheckBox_8hz_original;
	QComboBox_8hz_br = NULL;
	QCheckBox_8hz_copyright = NULL;
	QCheckBox_8hz_original = NULL;
};
void KrabWidget::initLayout_blade_del()
{
	delete QComboBox_blade_br;
	delete QCheckBox_blade_copyright;
	delete QCheckBox_blade_private;
	delete QCheckBox_blade_crc;
	QComboBox_blade_br = NULL;
	QCheckBox_blade_copyright = NULL;
	QCheckBox_blade_private = NULL;
	QCheckBox_blade_crc = NULL;
};
void KrabWidget::initLayout_wav_del()
{
	delete QCheckBox_wav_raw;
	QCheckBox_wav_raw = NULL;
};
void KrabWidget::initLayout_l3_del()
{  
	delete QComboBox_l3_br;
	delete QCheckBox_l3_hq;
	delete QCheckBox_l3_crc;
	delete QCheckBox_l3_speech;
	QComboBox_l3_br = NULL;
	QCheckBox_l3_hq = NULL;
	QCheckBox_l3_crc = NULL;
	QCheckBox_l3_speech = NULL;
};
void KrabWidget::initLayout_mp3_del()
{
	delete QComboBox_mp3_br;
	delete QComboBox_mp3_ql;
	QComboBox_mp3_br = NULL;
	QComboBox_mp3_ql = NULL;
};

